\definecolor{sexdts}{rgb}{0.1803921568627451,0.49019607843137253,0.19607843137254902}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\clip(-1.5,-0.5) rectangle (3.5,2.5);
\fill[line width=1pt,fill=sexdts!30] (3,0) -- (2,2) -- (-1,0.5) -- cycle;
\draw[line width=0.8pt, fill=sexdts] (1.6385236412187656,1.8013254141282529) -- (1.8261881879630133,1.4208230910140882) -- (2.206690511077178,1.6084876377583361) -- (2,2) -- cycle; 
\draw [line width=1pt] (3,0)-- node[above] {\rotatebox{-60}{5cm}} (2,2);
\draw [line width=1pt] (2,2)-- node[left] {\rotatebox{15}{7cm}} (-1,0.5);
\draw [line width=1pt] (-1,0.5)-- (3,0);
\draw (-1.25,0.25) node {$M$};
\draw (3.25,-0.25) node {$N$};
\draw (2.25,2.25) node {$O$};
\end{tikzpicture}